<?php

class CRM_Loginsecurity_Utils_System {

  public static function ipAddress() {
    // Avoid issues when running cv on Drupal9 sites (uninitialized container fatal error)
    if (php_sapi_name() == "cli") {
      return '127.0.0.1';
    }

    $ip_address = CRM_Utils_System::ipAddress();

    // Support proxies
    if (Civi::settings()->get('loginsecurity_proxy')) {
      if (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
        $ip_address = $_SERVER['HTTP_X_FORWARDED_FOR'];
      }
    }

    return $ip_address;
  }

}
