import { browserSupportsWebAuthn, startRegistration } from 'simplewebauthn/browser';

(function($, _, ts) {

  CRM.loginsecurityStartRegistration = async function(options) {
    if (!browserSupportsWebAuthn()) {
      CRM.alert('It seems this browser does not support WebAuthn.');
      return;
    }

    const result = await startRegistration(options);
    console.log('RESULT', result);
    // @todo send the result back to the server
  };

})(CRM.$, CRM._, CRM.ts('loginsecurity'));
